List audit events
curl --request GET \
--url https://api.uat.frankie.one/v2/audit \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>'import requests
url = "https://api.uat.frankie.one/v2/audit"
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {api_key: '<api-key>', 'X-Frankie-CustomerID': '<x-frankie-customerid>'}
};
fetch('https://api.uat.frankie.one/v2/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uat.frankie.one/v2/audit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Frankie-CustomerID: <x-frankie-customerid>",
"api_key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.uat.frankie.one/v2/audit"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
req.Header.Add("X-Frankie-CustomerID", "<x-frankie-customerid>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.uat.frankie.one/v2/audit")
.header("api_key", "<api-key>")
.header("X-Frankie-CustomerID", "<x-frankie-customerid>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uat.frankie.one/v2/audit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_key"] = '<api-key>'
request["X-Frankie-CustomerID"] = '<x-frankie-customerid>'
response = http.request(request)
puts response.read_body{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"meta": {
"page": 123,
"total": 123,
"limit": 123,
"count": 123,
"sort": "asc",
"sortFields": [
"createdAt"
]
},
"events": [
{
"eventId": "123e4567-e89b-12d3-a456-426614174000",
"schemaVersion": 2,
"level": 2,
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"type": "CUSTOMER_SETUP",
"timestamp": "2020-01-01T00:00:00.000Z",
"source": "FrankieOne System",
"description": "Executing Vendor Check for Entity",
"channel": "API",
"eventStatus": "SUCCESS",
"elapsedTimeInMilliSeconds": 2,
"functionName": "executeVendorCheck",
"descriptionDetails": "A new entity has been created with the following attributes:\n - Name\n - Address\n",
"objectId": "<string>",
"objectType": "ADDRESS",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"caseId": "<string>",
"batchId": "<string>",
"serviceProfileId": "<string>",
"serviceName": "kyc",
"status": "UNCHECKED",
"workflowExecutionId": "<string>",
"workflowName": "safe_harbour_1+1",
"workflowVersion": "v23",
"stepResultId": "<string>",
"stepName": "kyc-equifax",
"stepVersion": "v2.0.0",
"riskScore": 10,
"riskLevel": "UNKNOWN",
"entityType": "INDIVIDUAL",
"userComment": {
"commentId": "01K3G4CCQ3DY3B1413S19M9QW1",
"text": "Update after speaking to customer over the phone directly.",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL"
},
"lifecyclePhase": "OTHER",
"supplementaryData": {
"type": "RISK_ASSESSMENT",
"origin": {
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"details": [
{
"code": "<string>",
"description": "<string>"
}
]
},
"errors": [
{
"code": "<string>",
"description": "<string>",
"location": "<string>"
}
],
"previousRisk": {
"riskScore": 123,
"riskLevel": "UNKNOWN"
},
"risk": {
"level": "<string>",
"contributedScore": 123,
"overallScore": 123,
"factors": [
{
"factor": "<string>",
"score": 123,
"value": "<string>",
"aggregationMethod": "<string>",
"matchedRule": "<string>",
"source": "<string>",
"inputsConsidered": [
{
"value": "<string>",
"score": 123
}
]
}
]
}
}
}
]
}Audit Log API
List audit events
List all audit events with filtering.
Note that entityId and caseId is mutually exclusive and filtering for both at once will never return any results.
GET
/
v2
/
audit
List audit events
curl --request GET \
--url https://api.uat.frankie.one/v2/audit \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>'import requests
url = "https://api.uat.frankie.one/v2/audit"
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {api_key: '<api-key>', 'X-Frankie-CustomerID': '<x-frankie-customerid>'}
};
fetch('https://api.uat.frankie.one/v2/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uat.frankie.one/v2/audit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Frankie-CustomerID: <x-frankie-customerid>",
"api_key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.uat.frankie.one/v2/audit"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
req.Header.Add("X-Frankie-CustomerID", "<x-frankie-customerid>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.uat.frankie.one/v2/audit")
.header("api_key", "<api-key>")
.header("X-Frankie-CustomerID", "<x-frankie-customerid>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uat.frankie.one/v2/audit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_key"] = '<api-key>'
request["X-Frankie-CustomerID"] = '<x-frankie-customerid>'
response = http.request(request)
puts response.read_body{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"meta": {
"page": 123,
"total": 123,
"limit": 123,
"count": 123,
"sort": "asc",
"sortFields": [
"createdAt"
]
},
"events": [
{
"eventId": "123e4567-e89b-12d3-a456-426614174000",
"schemaVersion": 2,
"level": 2,
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"type": "CUSTOMER_SETUP",
"timestamp": "2020-01-01T00:00:00.000Z",
"source": "FrankieOne System",
"description": "Executing Vendor Check for Entity",
"channel": "API",
"eventStatus": "SUCCESS",
"elapsedTimeInMilliSeconds": 2,
"functionName": "executeVendorCheck",
"descriptionDetails": "A new entity has been created with the following attributes:\n - Name\n - Address\n",
"objectId": "<string>",
"objectType": "ADDRESS",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"caseId": "<string>",
"batchId": "<string>",
"serviceProfileId": "<string>",
"serviceName": "kyc",
"status": "UNCHECKED",
"workflowExecutionId": "<string>",
"workflowName": "safe_harbour_1+1",
"workflowVersion": "v23",
"stepResultId": "<string>",
"stepName": "kyc-equifax",
"stepVersion": "v2.0.0",
"riskScore": 10,
"riskLevel": "UNKNOWN",
"entityType": "INDIVIDUAL",
"userComment": {
"commentId": "01K3G4CCQ3DY3B1413S19M9QW1",
"text": "Update after speaking to customer over the phone directly.",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL"
},
"lifecyclePhase": "OTHER",
"supplementaryData": {
"type": "RISK_ASSESSMENT",
"origin": {
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"details": [
{
"code": "<string>",
"description": "<string>"
}
]
},
"errors": [
{
"code": "<string>",
"description": "<string>",
"location": "<string>"
}
],
"previousRisk": {
"riskScore": 123,
"riskLevel": "UNKNOWN"
},
"risk": {
"level": "<string>",
"contributedScore": 123,
"overallScore": 123,
"factors": [
{
"factor": "<string>",
"score": 123,
"value": "<string>",
"aggregationMethod": "<string>",
"matchedRule": "<string>",
"source": "<string>",
"inputsConsidered": [
{
"value": "<string>",
"score": 123
}
]
}
]
}
}
}
]
}Headers
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Query Parameters
List of Event Types to filter the audit events upon
Type of the audit event.
- CUSTOMER_SETUP: Audit event for customer setup.
- CUSTOMER_UPDATE: Audit event for updating a customer.
- ENTITY_CREATE: Create entity.
- ENTITY_LOOKUP: Lookup entity.
- ENTITY_PURGE: Delete entity and all associated information.
- ENTITY_RESULT_UPDATE: Manual result update.
- ENTITY_RESULT_INVALIDATE: Invalidate result.
- ENTITY_UPDATE: Update entity.
- GENERATE_REPORT: Generate a report.
- LEGACY_AUDIT: Audit event from V1.
- MATCHLIST_ENTRY: Matchlist entry operations.
- PORTAL_ACTION: Portal events.
- RISK_OVERRIDE: Risk override.
- SERVICE_PROFILE_CREATE: Create service profile.
- SERVICE_PROFILE_UPDATE: Update service profile.
- SERVICE_PROFILE_STATE_CHANGE: Service profile state change.
- WORKFLOW_EVENT: Generic event in a workflow other than status, risk, or complete.
- WORKFLOW_COMPLETE: Workflow is complete.
- WORKFLOW_RISK_CHANGE: Workflow risk change.
- WORKFLOW_STATUS_CHANGE: Workflow status change.
- OTHER: Other event type.
- PROVIDER_NOTIFICATION: Audit event for a notification received from a provider.
- PROVIDER_STATUS_SYNC: Audit event for a status sync from a provider.
- CASE_CREATE: A case was created.
- CASE_UPDATE: A case was changed (fields, status/outcome, assignee, links or documents).
Available options:
CUSTOMER_SETUP, CUSTOMER_UPDATE, ENTITY_CREATE, ENTITY_LOOKUP, ENTITY_PURGE, ENTITY_RESULT_UPDATE, ENTITY_RESULT_INVALIDATE, ENTITY_UPDATE, GENERATE_REPORT, LEGACY_AUDIT, MATCHLIST_ENTRY, PORTAL_ACTION, RISK_OVERRIDE, SERVICE_PROFILE_CREATE, SERVICE_PROFILE_UPDATE, SERVICE_PROFILE_STATE_CHANGE, WORKFLOW_EVENT, WORKFLOW_COMPLETE, WORKFLOW_RISK_CHANGE, WORKFLOW_STATUS_CHANGE, OTHER, PROVIDER_NOTIFICATION, PROVIDER_STATUS_SYNC, CASE_CREATE, CASE_UPDATE Response
OK
Was this page helpful?